Search TIN
Search for a Tax Identification Number (TIN) using the MyInvois API. The company_id is automatically injected from the OAuth token.
Body·
required
application/json
V1 search-tin request body.
- Type: stringregistration
_document _type required - Type: stringregistration
_number required - Type: stringnullablecompany
_id - Type: stringnullablename
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/search-tin
curl /api/search-tin \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"company_id": "",
"name": "",
"registration_document_type": "",
"registration_number": ""
}'
{
"data": [
{
"name": "Example Company Sdn Bhd",
"registration_document_type": "BRN",
"registration_number": "12345678",
"status": "active",
"tin": "1234567890",
"verified": true
}
],
"message": "TIN search is successful",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"status": "success"
}